Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.editor.handler
Class SelectAttributesWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.ecp.view.internal.editor.handler.SelectAttributesWizardPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class SelectAttributesWizardPage

extends org.eclipse.jface.wizard.WizardPage

Author:
  Alexandra Buzila

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Method Summary
`void` | `clearSelection()`
`void` | `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.jface.wizard.IWizardPage` | `getPreviousPage()`
`Set<org.eclipse.emf.ecore.EStructuralFeature>` | `getSelectedFeatures()`
`boolean` | `isCurrentPage()`
`boolean` | `isPageComplete()`
`void` | `onEnterPage()`
`void` | `setRootClass(org.eclipse.emf.ecore.EClass eClass)`
`void` | `setView(VView view)`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  See Also:
    `IDialogPage.createControl(org.eclipse.swt.widgets.Composite)`

### onEnterPage

    public void onEnterPage()

### isPageComplete

    public boolean isPageComplete()

  Specified by:
    `isPageComplete` in interface `org.eclipse.jface.wizard.IWizardPage`
  Overrides:
    `isPageComplete` in class `org.eclipse.jface.wizard.WizardPage`
  See Also:
    `WizardPage.isPageComplete()`

### setRootClass

    public void setRootClass(org.eclipse.emf.ecore.EClass eClass)

  Parameters:
    `eClass` - the EClass to show attributes from

### getSelectedFeatures

    public Set<org.eclipse.emf.ecore.EStructuralFeature> getSelectedFeatures()

  Returns:
    the set of features selected in the dialog, for which controls should be generated.

### getPreviousPage

    public org.eclipse.jface.wizard.IWizardPage getPreviousPage()

  Specified by:
    `getPreviousPage` in interface `org.eclipse.jface.wizard.IWizardPage`
  Overrides:
    `getPreviousPage` in class `org.eclipse.jface.wizard.WizardPage`
  See Also:
    `WizardPage.getPreviousPage()`

### setView

    public void setView(VView view)

  Parameters:
    `view` - The `VView` to select an attribute for. Is used to filter attributes already shown in the view.

### isCurrentPage

    public boolean isCurrentPage()

  Overrides:
    `isCurrentPage` in class `org.eclipse.jface.wizard.WizardPage`

### clearSelection

    public void clearSelection()

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.